<bugID>649678<Summary>Date Missing from About Nightly Window</Summary><Description>Created attachment 525709
About Nightly Window showing missing date

In the About Minefield window, the date of the (nightly) build appeared following the version (4.2a1pre most recently). Starting with the new Nightly, in the About Nightly (Help &gt; About Nightly), the date no longer appears like it did in Minefield.

On a download and clean install of Nightly (C-set: 6bcaec19d09e), I tried with a brand new profile and the date is still missing.</Description></bugID>